# Ogre::KeyFrame Class Reference

A key frame in an animation sequence defined by an AnimationTrack. More...

`#include <OgreKeyFrame.h>`

Inheritance diagram for Ogre::KeyFrame:

List of all members.

## Public Member Functions

| KeyFrame (const AnimationTrack *parent, Real time)
| Default constructor, you should not call this but use AnimationTrack::createKeyFrame instead.
virtual | ~KeyFrame ()
Real | getTime (void) const
| Gets the time of this keyframe in the animation sequence.
virtual KeyFrame * | _clone (AnimationTrack *newParent) const
| Clone a keyframe (internal use only).

## Protected Attributes

Real | mTime
const AnimationTrack * | mParentTrack

## Detailed Description

A key frame in an animation sequence defined by an AnimationTrack.

Remarks:
  This class can be used as a basis for all kinds of key frames. The unifying principle is that multiple KeyFrames define an animation sequence, with the exact state of the animation being an interpolation between these key frames.

Definition at line 46 of file OgreKeyFrame.h.

## Constructor & Destructor Documentation

Ogre::KeyFrame::KeyFrame | ( | const AnimationTrack * | parent,
|  | Real | time
| ) |

| Default constructor, you should not call this but use AnimationTrack::createKeyFrame instead.

virtual Ogre::KeyFrame::~KeyFrame | ( |  | ) | `[virtual]`

| Definition at line 53 of file OgreKeyFrame.h.

## Member Function Documentation

virtual KeyFrame* Ogre::KeyFrame::_clone | ( | AnimationTrack * | newParent | ) | const`[virtual]`

| Clone a keyframe (internal use only). Reimplemented in Ogre::NumericKeyFrame, Ogre::TransformKeyFrame, Ogre::VertexMorphKeyFrame, and Ogre::VertexPoseKeyFrame.

Real Ogre::KeyFrame::getTime | ( | void |  | ) | const

| Gets the time of this keyframe in the animation sequence. Definition at line 56 of file OgreKeyFrame.h.

## Member Data Documentation

const AnimationTrack* Ogre::KeyFrame::mParentTrack `[protected]`

| Definition at line 64 of file OgreKeyFrame.h.

Real Ogre::KeyFrame::mTime `[protected]`

| Definition at line 63 of file OgreKeyFrame.h.

The documentation for this class was generated from the following file:

- OgreKeyFrame.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sun Sep 17 15:40:08 2006